package it.android.br;


import android.app.Notification;
import android.app.NotificationManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;


public class BroadcastReceiverTest extends BroadcastReceiver {

	private static final int SIMPLE_NOTIFICATION_ID = 1;

	public BroadcastReceiverTest() {
		super();
	}

	@Override
	public void onReceive(Context context, Intent intent) {
		Log.i("B_TAG", "Intent received: " + intent.getAction());

		Bundle bundle = intent.getExtras();
        if (bundle != null) {
            NotificationManager notificationManager = (NotificationManager) context.getSystemService(Context.NOTIFICATION_SERVICE);

			Notification.Builder n2 = new Notification.Builder(context)
					.setContentTitle("This is my title")
					.setContentText("This is the text")
					.setDefaults(Notification.DEFAULT_ALL)
					.setSmallIcon(R.drawable.icon);

        	notificationManager.notify(SIMPLE_NOTIFICATION_ID, n2.build());
		}
	}
}